## SwiftUI BarChart
Lightweight and easy to use SwiftUI chart library for all Apple platforms

<center>
<img src="Resources/bar-chart-screenshot.png"/>
</center>

<center>
<img src="Resources/bar-chart-screenshot-2.png"/>
</center>

## Features

- Scaling on both axes
- Fully customizable axes (labels font, color, dashed lines)
- Custom gradient bars
- Reactive chart configuration
- Bar selection API
- **[WIP]** horizontal scrolling

## Requirements

- iOS 13+ / macOS 10.15+ / watchOS 6+ / tvOS 13+
- Xcode 11.0+
- Swift 5+

## Installation

### Swift Package Manager

Add this swift package to your project
```
https://github.com/dawigr/BarChart.git
```

## Usage

[See Wiki](https://github.com/dawigr/BarChart/wiki) for usage details

## Help

If you like the library, you could:
- Contribute code, issues and pull requests
- Let other people know about it
- [![paypal](https://www.paypalobjects.com/en_US/i/btn/btn_donate_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=7D5E9VK2WYZUY) any amount to accelaerate new feature development

## License

BarChart is released under the MIT license. [See LICENSE](https://github.com/dawigr/BarChart/blob/master/LICENSE) for details
